Bug 2000146 - opm render includes channel metadata in properties when rendering bundles
Summary: opm render includes channel metadata in properties when rendering bundles
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.9
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.9.0
Assignee: Joe Lanford
QA Contact: Jian Zhang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-01 14:07 UTC by Joe Lanford
Modified: 2021-10-18 17:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:50:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift operator-framework-olm pull 181 0 None None None 2021-09-02 20:43:36 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:51:03 UTC

Comment 3 Jian Zhang 2021-09-06 07:34:19 UTC
mac:bin jianzhang$ ./opm version
Version: version.Version{OpmVersion:"32eb25914", GitCommit:"32eb2591437e394bdc58a58371c5cd1e6fe5e63f", BuildDate:"2021-09-06T03:45:53Z", GoOs:"darwin", GoArch:"amd64"}

mac:bin jianzhang$ ./opm render quay.io/olmqe/etcd-bundle:upgrade-0.9.4 -o yaml
---
image: quay.io/olmqe/etcd-bundle:upgrade-0.9.4
name: etcdoperator.v0.9.4
package: etcd
properties:
- type: olm.gvk
  value:
    group: etcd.database.coreos.com
    kind: EtcdBackup
    version: v1beta2
- type: olm.gvk
  value:
    group: etcd.database.coreos.com
    kind: EtcdCluster
    version: v1beta2
- type: olm.gvk
  value:
    group: etcd.database.coreos.com
    kind: EtcdRestore
    version: v1beta2
- type: olm.maxOpenShiftVersion
  value: "4.9"
- type: olm.package
  value:
    packageName: etcd
    version: 0.9.4
schema: olm.bundle

No channle info in it, LGTM, verify it.

Comment 6 errata-xmlrpc 2021-10-18 17:50:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.